﻿
--新增字段

ALTER TABLE [dbo].[Trial] ADD [AttendedReviewerTypes] varchar(255) COLLATE Chinese_PRC_CI_AS DEFAULT '' NOT NULL
GO

ALTER TABLE [dbo].[Trial] ADD [DeclarationTypes] varchar(255) COLLATE Chinese_PRC_CI_AS DEFAULT '' NOT NULL
GO


--维护sql
UPDATE Trial SET AttendedReviewerTypes = '|' + CAST(AttendedReviewerType AS VARCHAR(10)) + '|'

update Trial set DeclarationTypes ='|' + (select Code  from Dictionary where Id= Trial.DeclarationTypeId) + '|'


--验证sql
select DISTINCT AttendedReviewerType ,AttendedReviewerTypes, DeclarationTypeId, Dictionary.Code,DeclarationTypes,Dictionary.[Value] from Trial inner join Dictionary on Trial.DeclarationTypeId=Dictionary.Id



--删除多余字段
ALTER TABLE [dbo].[Trial] DROP COLUMN [DeclarationTypeId];
ALTER TABLE [dbo].[Trial] DROP COLUMN [AttendedReviewerType];